<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
	<RestorePackagesWithLockFile>true</RestorePackagesWithLockFile>
    <DisableImplicitNuGetFallbackFolder>true</DisableImplicitNuGetFallbackFolder>
	<AssemblyName>Core</AssemblyName>
	<RootNamespace>QuantumCore</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="BCrypt.Net-Next" Version="4.0.0" />
    <PackageReference Include="BeetleX.Redis" Version="1.0.0.8" />
    <PackageReference Include="CommandLineParser" Version="2.8.0" />
    <PackageReference Include="Dapper" Version="2.0.35" />
    <PackageReference Include="Dapper.Contrib" Version="2.0.35" />
    <PackageReference Include="FluentMigrator" Version="3.2.9" />
    <PackageReference Include="FluentMigrator.Runner" Version="3.2.9" />
    <PackageReference Include="FluentMigrator.Runner.MySql" Version="3.2.9" />
    <PackageReference Include="KaitaiStruct.Runtime.CSharp" Version="0.9.0" />
    <PackageReference Include="lzo.net" Version="0.0.6" />
    <PackageReference Include="McMaster.NETCore.Plugins" Version="1.3.1" />
    <PackageReference Include="MySql.Data" Version="8.0.22" />
    <PackageReference Include="prometheus-net" Version="4.1.1" />
    <PackageReference Include="Serilog" Version="2.10.1-dev-01249" />
    <PackageReference Include="Serilog.Enrichers.AssemblyName" Version="1.0.9" />
    <PackageReference Include="Serilog.Enrichers.Environment" Version="2.2.0-dev-00761" />
    <PackageReference Include="Serilog.Enrichers.ExceptionData" Version="1.0.0" />
    <PackageReference Include="Serilog.Enrichers.Process" Version="2.0.2-dev-00741" />
    <PackageReference Include="Serilog.Sinks.Console" Version="4.0.0-dev-00839" />
    <PackageReference Include="Serilog.Sinks.File" Version="5.0.0-dev-00887" />
    <PackageReference Include="Serilog.Sinks.RollingFile" Version="3.3.1-dev-00771" />
    <PackageReference Include="JetBrains.Annotations" Version="2020.2.0-eap" />
    <PackageReference Include="Tomlyn" Version="0.1.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\CorePluginAPI\CorePluginAPI.csproj" />
  </ItemGroup>

</Project>
